# Uses of Interface
org.opensaml.saml.ext.samlec.SessionKey

Packages that use SessionKey
Package
Description
org.opensaml.saml.ext.samlec.impl
Implementation for SAML-EC GSS-API schema content.

## Uses of SessionKey in org.opensaml.saml.ext.samlec.impl

Classes in org.opensaml.saml.ext.samlec.impl that implement SessionKey
Modifier and Type
Class
Description
`class`
`SessionKeyImpl`
Concrete implementation of `SessionKey`.
Methods in org.opensaml.saml.ext.samlec.impl that return SessionKey
Modifier and Type
Method
Description
`SessionKey`
SessionKeyBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SessionKey`
SessionKeyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.